Obter o conteúdo de uma página
curl --request GET \
--url https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"content": {
"thread_id": 1202,
"revision": 3,
"doc": {
"type": "doc",
"content": [
{
"type": "heading",
"attrs": {
"level": 2
},
"content": [
{
"type": "text",
"text": "Briefing"
}
]
},
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Implantação prevista para dezembro."
}
]
}
]
},
"updated_at": "2026-11-09T14:22:05.000000Z",
"updated_by": {
"id": "5e4d3c2b-1a0f-4e9d-8c7b-6a5f4e3d2c1b",
"name": "Maria Souza"
}
}
}{
"response": false,
"message": "thread_model_not_found",
"error": "No query results for model [App\\Models\\Thread] 999999"
}forums
Obter o conteúdo de uma página
Devolve o documento da página e o número da versão (revision). Guarde a revision para enviar como base_revision ao gravar. Ver Histórico de versões. Aceita token de aplicação.
GET
/
api
/
management
/
forums
/
{forum_id}
/
threads
/
{thread_id}
/
content
Obter o conteúdo de uma página
curl --request GET \
--url https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/forums/{forum_id}/threads/{thread_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"content": {
"thread_id": 1202,
"revision": 3,
"doc": {
"type": "doc",
"content": [
{
"type": "heading",
"attrs": {
"level": 2
},
"content": [
{
"type": "text",
"text": "Briefing"
}
]
},
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Implantação prevista para dezembro."
}
]
}
]
},
"updated_at": "2026-11-09T14:22:05.000000Z",
"updated_by": {
"id": "5e4d3c2b-1a0f-4e9d-8c7b-6a5f4e3d2c1b",
"name": "Maria Souza"
}
}
}{
"response": false,
"message": "thread_model_not_found",
"error": "No query results for model [App\\Models\\Thread] 999999"
}Authorizations
Path Parameters
Was this page helpful?